package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.mothMovable.MothMovable;

import java.util.List;

/**
 *  活动生成二维码，关注人数统计接口
 * @author xm
 * @Date 2019-04-25
 */
public interface MothMovableMapper {
    /**
     * 获取集合
     * @param  mothMovable
     * @return List
     */
    List<MothMovable>  getMothMovableList(MothMovable  mothMovable);

    /**
     * 获取数量
     * @param  mothMovable
     * @return List
     */
    Integer  getNum(MothMovable  mothMovable);

    /**
     * 查询单条数据
     * @param  id
     * @return  mothMovable
     */
    MothMovable  getMothMovableById(Integer  id);
    /**
     * 增加数据
     * @param  mothMovable
     * @return Integer
     */
    Integer  save(MothMovable mothMovable);
    /**
     * 修改数据
     * @param  mothMovable
     * @return Integer
     */
    Integer  update(MothMovable  mothMovable);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}